import java.util.Random;

/**
 * Spouštěcí třída pro třídu Tree.
 */
public class TreeTest {

	public static void main(String[] args) {
		// vytvoření instance binárního vyhledávacího stromu
		Tree tree = new Tree();
		int value;
		Random generator = new Random();

		System.out.println("Vkládám následující hodnoty: ");

		// vložení 10ti náhodných hodnot
		// v rozmezí 0-99 do stromu
                
		for (int i = 1; i <= 10; i++) {
			value = generator.nextInt(100);
			System.out.printf("%d ", value);
			tree.insertNode(value);
		}
                /*
                int num[] =  {49,28,83,18,40,11,19,32,44,71,97,69,72,92,99};
                for(int n: num)
                    tree.insertNode(n);
                */
		System.out.println("\n\nProcházení preorder");
		tree.preorderTraversal();

		System.out.println("\n\nProcházení inorder");
		tree.inorderTraversal();

		System.out.println("\n\nProcházení postorder");
		tree.postorderTraversal();

                System.out.println("\n\nProcházení do šířky");
                tree.levelOrder();

                System.out.println("\n\nTisk stromu");
                tree.outputTree();
                System.out.println();
	}
}